chippart(1)

NAME
chippart - Partitioning Tool for ChIP-seq data analysis

SYNOPSIS
chippart [ options ] -f <feature name> -p <transition penalty> -s <density threshold> [ < ] [ SGA file ]

DESCRIPTION
chippart reads a ChIP-seq data file (or from stdin [<]) in SGA format (<SGA file>), and finds signal-enriched regions across the whole file for ChIP-tag positions corresponding to a specific feature <feature name>, or all features.

Launching chippart without any arguments will print the options list, along with their default values.

The <feature> parameter is a name that corresponds to the second field of the SGA file. It might optionally include the strand specification (+|-). If no feature is given then all input tags are processed.

The SGA input file MUST BE sorted by sequence name (or chromosome id), position, and strand. One should check the input SGA file with the following command:

sort -s -c -k1,1 -k3,3n -k4,4 <SGA file>

The output is an SGA-formatted list containing the regions of interest.

The program also generates (to stderr) a statistical report with the following information:

  - Total number of processed sequences, total DNA length, and
    total number of fragments;
  - Total length of fragments, average fragment length, and
    percentage of total DNA length;
  - Percentage of total counts, average number of counts, and
    number of count per bp (count density).

OPTIONS

-c <cut-off>
    A value can be specified as a cut-off for the input tag counts.

    This parameter is optional. Its default value is 1.

-d  Show debug info. The program performs the sorting order check of the input data file.

-f <feature name>
    This parameter is used to select all or a sub-set of chIP-seq input tags. The feature name is specified in the second field of the SGA-formatted input file.

    If no feature name is given, then all features are selected.

-h  Show the usage message.

-p <transition penalty>
    It assigns a (negative) score to a transition between signal-enriched and signal-poor regions. This parameter needs to be negative. It therefore controls the fragment length, i.e high penalty -> long fragments.

    This parameter is mandatory.

-s <density threshold>
    A region must have a count density higher than the value specified by the <density threshold> in order to be considered as a signal-enriched DNA stretch.

    This parameter is mandatory.

SEE ALSO
chipcor(1) chipextract(1) chipcenter(1), chippeak(1) chipscore(1)